#!/usr/bin/bash

_l="/etc/login.defs"
_p="/etc/passwd"

l=$(grep "^UID_MIN" $_l)
l1=$(grep "^UID_MAX" $_l)

echo "root"
cur_user=$(whoami)
awk -F':' -v "user=$cur_user" -v "min=${l##UID_MIN}" -v "max=${l1##UID_MAX}" '{ if ( $3 >= min && $3 <= max  && $7 != "/sbin/nologin" && $1 != user ) print $1 }' "$_p"
